#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.2.0.2
visibility:           public
id:                   ghcide-1.2.0.2-A7LGjTfShTR2DTeej4Pqfv
key:                  ghcide-1.2.0.2-A7LGjTfShTR2DTeej4Pqfv
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d829ed1d65b359f5f1ad5bb23de20ef6
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.Core.UseStale Development.IDE.GHC.Compat
    Development.IDE.GHC.Error Development.IDE.GHC.ExactPrint
    Development.IDE.GHC.Orphans Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.2.0.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.2.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.2.0.2
hs-libraries:         HSghcide-1.2.0.2-A7LGjTfShTR2DTeej4Pqfv
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-7vaf1TMX7dPGS3k3lmChvj
    aeson-1.5.6.0-vttEzhWJzWKjl9IX66QmC array-0.5.4.0
    async-2.2.3-DvF9gf9qyfPK6D6feIe45y base-4.14.1.0
    base16-bytestring-1.0.1.0-GFHbp9pDGKb7zba4QjzG5A binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.1.0-9uMUsRQJ8Or2EJzoqJoYQf
    case-insensitive-1.2.1.0-3NIW57P40JN584hTPPyqOm containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-JE6SlGs6DKB4jFlgv8fcFz
    dependent-sum-0.7.1.0-IgQo7ZhKwu4Js6t3kVHwmc directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-FVDdsoFVQrKF9gpq9ogElC
    filepath-1.4.2.1 fingertree-0.1.4.2-17kmg3LKz7a94tQvQ2Kmsm
    fuzzy-0.1.0.0-DwYoFMrwnQe6CARBUrNq3w ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.4-Hf6sk30XHneEgbyFc2E7tj
    ghc-exactprint-0.6.4-CH6V6T3AqxHHVukwtZ0xzN
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    ghc-trace-events-0.1.2.2-BiH0bU4psYw4WGq0mosl17
    haddock-library-1.10.0-IzfHp4XBNg482dShqNclOR
    hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R
    heapsize-0.3.0.1-HWoRcSVlWtO2pwqWLa8gOX
    hie-bios-0.7.5-2LIBWSLfLJ5DVozzK2UM7c
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-BiH7iOXIHF9Aedzl4Et6Si
    hls-plugin-api-1.1.0.0-BJx77w8OKLW8xvKrDCQ9ce
    hslogger-1.3.1.0-DpnTTRcqgkv5SivLy87nda
    implicit-hie-cradle-0.3.0.2-EENPpmL7FBQHZPrFSB2OcY
    lens-5.0.1-2Zjnlw4mK68FBWH0avGA3U
    lsp-1.2.0.0-HXIBj4PLMzP9qLlFcJMWH9
    lsp-types-1.2.0.0-F9KVuySJS4VGhsssjFc0A2 mtl-2.2.2
    network-uri-2.6.4.1-1oGYEtCGxwGIDetCtBI9bJ
    opentelemetry-0.6.1-5iXvxUrl30lCfwgJoxUMok
    optparse-applicative-0.16.1.0-7exIqAYiZ8a87tzVLPmKjQ
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-IcygC6oxBMR5rwFtc6qdvZ
    prettyprinter-ansi-terminal-1.1.2-I376GP9GOj037d3tjwChpY
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-BvKI9grg157Fycq6QzQfAV
    rope-utf16-splay-0.3.2.0-2hJNXgoAXG23HwWWfdythm
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-2nQDIOXsnVo6dXNiCfbAXS
    shake-0.19.4-Ald4MfMfCyR5ymWNjam5bg
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-ApH2zlSBXhsTHGotPvdms stm-2.5.0.0
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.15-AxCAlQus9nNGxTecDzBe5Q
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.14.0-BnMT8OZ6mZf1CSW1Hvg8FR
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.3.0-HURuJbi2iJT3pZcjBMuHYu

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

